using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class Radio : MonoBehaviour {

	// Use this for initialization
	public List<AudioClip> m_Screams;
	private AudioSource m_ScreamsPlayer;
	
	public List<AudioClip> m_Splats;
	private AudioSource m_SplatPlayer;
	
	public List<AudioClip> m_Female;
	private AudioSource m_FemalePlayer;
	
	public List<AudioClip> m_Bonus;
	private AudioSource m_BonusPlayer;
	
	void Start () 
	{
		m_ScreamsPlayer = gameObject.AddComponent<AudioSource>();
		m_SplatPlayer = gameObject.AddComponent<AudioSource>();
		m_FemalePlayer = gameObject.AddComponent<AudioSource>();
		m_BonusPlayer = gameObject.AddComponent<AudioSource>();
	}
	
	// Update is called once per frame
	void Update () 
	{
	
	}
	
	public void MaleScream()
	{
		m_ScreamsPlayer.clip = m_Screams[Random.Range(0,m_Screams.Count)];
		m_ScreamsPlayer.Play();
	}
	
	public void FemaleScream()
	{
		m_FemalePlayer.clip = m_Female[Random.Range(0,m_Female.Count)];
		m_FemalePlayer.Play();
	}
	
	public void Splat()
	{
		m_SplatPlayer.clip = m_Splats[Random.Range(0,m_Splats.Count)];
		m_SplatPlayer.Play();
	}
	
	public void Bonus()
	{
		m_BonusPlayer.clip = m_Bonus[Random.Range(0,m_Bonus.Count)];
		m_BonusPlayer.Play();
	}
}